> ## Documentation Index
> Fetch the complete documentation index at: https://ailabtools.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# AI Cartoon Generator

> AI Cartoon Generator API turns photos into cartoon, anime, and stylized illustrations with multiple AI art styles.



## OpenAPI

````yaml /docs/openapi.json post /api/image/effects/ai-anime-generator
openapi: 3.0.0
info:
  title: AILabAPI
  description: >-
    [<b>AILabTools</b>](https://www.ailabtools.com) is an advanced tool that
    offers a vast array of simple and flexible API endpoints to suit your
    specific needs. With just one [<b>API
    KEY</b>](https://www.ailabtools.com/doc/get-api-key), you can easily call
    any of the endpoints and integrate them quickly into your application or
    workflow, allowing for smooth and efficient operations. 
     
    [<b>AILabTools</b>](https://www.ailabtools.com) is continuously evolving,
    and you can anticipate even more API endpoints being added in the future,
    further enhancing its capabilities and usefulness for your artificial
    intelligence and machine learning requirements.
  version: 1.0.0
servers:
  - url: https://www.ailabapi.com
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: AI IMAGE
  - name: AI IMAGE > Image Enhancement
  - name: AI IMAGE > Image Effects
  - name: AI IMAGE > Image Editing
  - name: AI IMAGE > Image Scoring
  - name: AI BACKGROUND REMOVAL
  - name: AI BACKGROUND REMOVAL > Portrait
  - name: AI BACKGROUND REMOVAL > General
  - name: AI PORTRAIT
  - name: AI PORTRAIT > Portrait Effects
  - name: AI PORTRAIT > Portrait Enhance
  - name: AI PORTRAIT > Portrait Editing
  - name: AI PORTRAIT > Portrait Analysis
  - name: AI COMMON
paths:
  /api/image/effects/ai-anime-generator:
    post:
      tags:
        - AI IMAGE > Image Effects
      summary: AI Cartoon Generator
      description: >-
        AI Cartoon Generator API turns photos into cartoon, anime, and stylized
        illustrations with multiple AI art styles.
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - image
                - effect
              properties:
                image:
                  type: string
                  format: binary
                  description: |-
                    - Image format: `JPEG` `JPG` `PNG` 
                    - Image size: No more than 5 MB. 
                    - Image resolution: Less than 4096x4096px.
                effect:
                  type: string
                  description: >-
                    Effects. See [Supported effect
                    values](/docs/ai-image/effects/ai-anime-generator/api#effect).
                  enum:
                    - 3d_fairytale
                    - ancient_chinese
                    - anime_genz
                    - apocalyptic_comic
                    - clay_cartoon
                    - colored_pencil
                    - colorful_cartoon
                    - cyberpunk_anime
                    - dark_fantasy
                    - dunhuang_comic
                    - elegant_chinese
                    - elf_fantasy
                    - epic_battle_comic
                    - fairy_tale_princess
                    - fashion_illustration
                    - fantasy_anime
                    - felt_cartoon
                    - fresh_illustration
                    - future_technology
                    - gongbi_comic
                    - graffiti_comic
                    - idol_anime
                    - ink_comic
                    - ink_line_art
                    - korean_webtoon
                    - low_poly_cartoon
                    - magical_girl
                    - mecha_anime
                    - noir_comic
                    - oil_paint_comic
                    - paper_cut_cartoon
                    - paper_cut_comic
                    - pastel_comic
                    - pixel_art
                    - pop_art
                    - retro_anime_90s
                    - retro_comic
                    - romantic_webtoon
                    - rubber_hose
                    - seinen_manga
                    - shojo_manga
                    - shonen_manga
                    - space_opera
                    - sports_manga
                    - steampunk_comic
                    - sticker_cartoon
                    - storybook
                    - superhero_comic
                    - vampire_comic
                    - watercolor_anime
                    - wuxia_comic
                    - xianxia_anime
                    - zombie_comic
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PublicResponseFields'
                  - type: object
                    properties:
                      task_id:
                        $ref: '#/components/schemas/AsyncTaskId'
              example:
                request_id: ''
                log_id: ''
                error_detail:
                  code: ''
                  code_message: ''
                  message: ''
                task_id: ''
          description: Success
components:
  schemas:
    PublicResponseFields:
      type: object
      required:
        - request_id
        - log_id
        - error_detail
      properties:
        request_id:
          type: string
          description: Request ID for debugging.
        log_id:
          type: string
          description: Log ID for debugging.
        error_detail:
          $ref: '#/components/schemas/ErrorDetail'
    AsyncTaskId:
      type: string
      description: >-
        Task ID for querying [Querying Async Task
        Results](/docs/ai-common/async-task-results/api).
    ErrorDetail:
      type: object
      required:
        - code
        - code_message
        - message
      properties:
        code:
          type: string
          description: >-
            Error Code. See [Error
            Codes](/docs/response-description#error-codes).
        code_message:
          type: string
          description: Error summary.
        message:
          type: string
          description: Detailed error message.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: ailabapi-api-key
      description: API Key for authentication

````